Yoast SEO Premium
======================

[![Build Status](https://magnum.travis-ci.com/Yoast/wordpress-seo-premium.svg?token=xbWfzo2k6cFsu9nM3zyq)](https://magnum.travis-ci.com/Yoast/wordpress-seo-premium)
[![Stable Version](https://poser.pugx.org/yoast/wordpress-seo/v/stable.svg)](https://packagist.org/packages/yoast/wordpress-seo)
[![License](https://poser.pugx.org/yoast/wordpress-seo/license.svg)](https://packagist.org/packages/yoast/wordpress-seo)

Welcome to the Yoast SEO GitHub repository
----------------------------------------------

While the documentation for the [Yoast SEO plugin](https://yoast.com/wordpress/seo/) can be found on [Yoast.com](https://yoast.com/), here
you can browse the source of the project, find and discuss open issues and even
[contribute yourself](https://github.com/yoast/wordpress-seo/blob/master/CONTRIBUTING.md).

Installation
------------

Here's a [guide on how to install Yoast SEO in your WordPress site](https://yoast.com/wordpress/seo/installation/).

If you want to run the Git version for development though, you can set it up with [Composer](https://getcomposer.org/):

```bash
composer create-project yoast/wordpress-seo:dev-trunk --prefer-source --keep-vcs
```

Read more about [using Composer with Yoast SEO](https://github.com/Yoast/wordpress-seo/wiki/Using-Composer).

This will download the latest development version of Yoast SEO. While this version is usually stable,
it is not recommended for use in a production environment.

Support
-------
This is a developer's portal for Yoast SEO and should not be used for support. Please visit the
[support forums](https://wordpress.org/support/plugin/wordpress-seo).

Reporting bugs
----
We try to fix as many bugs we can, this is a graph of our recent activity:
[![Throughput Graph](https://graphs.waffle.io/yoast/wordpress-seo/throughput.svg)](https://waffle.io/yoast/wordpress-seo/metrics)

If you find an issue, [let us know here](https://github.com/yoast/wordpress-seo/issues/new)! Please follow [how to write a good bug report?](http://kb.yoast.com/article/180-how-to-write-a-good-bug-report) guidelines.

It may help us a lot if you can provide a backtrace of the error encountered. You can use [code in this gist](https://gist.github.com/jrfnl/5925642) to enable the backtrace in your website's configuration.

Contributions
-------------
Anyone is welcome to contribute to Yoast SEO. Please
[read the guidelines](https://github.com/yoast/wordpress-seo/blob/master/CONTRIBUTING.md) for contributing to this
repository.

There are various ways you can contribute:

* [Raise an issue](https://github.com/yoast/wordpress-seo/issues) on GitHub.
* Send us a Pull Request with your bug fixes and/or new features.
* [Translate Yoast SEO into different languages](http://translate.yoast.com/projects/wordpress-seo/).
* Provide feedback and [suggestions on enhancements](https://github.com/yoast/wordpress-seo/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open).

